View a markdown version of this page

ListDatasetDataSegments - AWS IoT SiteWise

ListDatasetDataSegments

Retrieves a paginated list of data segments associated with a dataset. Use the nextToken parameter to retrieve additional results.

Request Syntax

GET /datasets/datasetId/data-segments?datasetVersion=datasetVersion&maxResults=maxResults&nextToken=nextToken&workspaceName=workspaceName HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

datasetId

The ID of the dataset.

Length Constraints: Fixed length of 36.

Pattern: ^(?!00000000-0000-0000-0000-000000000000)[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Required: Yes

datasetVersion

The version of the dataset to list data segments for.

Length Constraints: Minimum length of 1. Maximum length of 10.

Pattern: ^(0|([1-9]{1}\d*))$

maxResults

The maximum number of results to return for each paginated request. Default: 50.

Valid Range: Minimum value of 1. Maximum value of 250.

nextToken

The token to be used for the next set of paginated results.

Length Constraints: Minimum length of 1. Maximum length of 4096.

Pattern: [A-Za-z0-9+/=]+

workspaceName

The name of the workspace that contains the dataset.

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: ^[a-zA-Z0-9_-]+$

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "dataSegments": [ { "alias": "string", "dataType": "string", "endTimestamp": { "offsetInNanos": number, "timeInSeconds": number }, "enrichment": { "lastEnrichedAt": number, "status": "string" }, "sourceDatasetId": "string", "startTimestamp": { "offsetInNanos": number, "timeInSeconds": number }, "timeSeriesId": "string" } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

dataSegments

A list that summarizes each data segment.

Type: Array of DataSegmentSummary objects

nextToken

The token for the next set of results, or null if there are no additional results.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 4096.

Pattern: [A-Za-z0-9+/=]+

Errors

For information about the errors that are common to all actions, see Common Error Types.

InternalFailureException

AWS IoT SiteWise can't process your request right now. Try again later.

HTTP Status Code: 500

InvalidRequestException

The request isn't valid. This can occur if your request contains malformed JSON or unsupported characters. Check your request and try again.

HTTP Status Code: 400

ResourceNotFoundException

The requested resource can't be found.

HTTP Status Code: 404

ThrottlingException

Your request exceeded a rate limit. For example, you might have exceeded the number of AWS IoT SiteWise assets that can be created per second, the allowed number of messages per second, and so on.

For more information, see Quotas in the AWS IoT SiteWise User Guide.

HTTP Status Code: 429

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: